> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

> Get a list of payment methods for the current user.



## OpenAPI

````yaml GET /api/v3/brokerage/payment_methods
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/payment_methods:
    get:
      tags:
        - Payment Methods
      summary: List Payment Methods
      description: Get a list of payment methods for the current user.
      operationId: RetailBrokerageApi_GetPaymentMethods
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.payment_method.GetPaymentMethodsResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.payment_method.GetPaymentMethodsResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:payment-methods:read
components:
  schemas:
    coinbase.retail.rest.proxy.payment_method.GetPaymentMethodsResponse:
      type: object
      properties:
        payment_methods:
          type: array
          items:
            $ref: >-
              #/components/schemas/coinbase.retail.rest.proxy.payment_method.PaymentMethod
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.retail.rest.proxy.payment_method.PaymentMethod:
      type: object
      properties:
        id:
          type: string
          example: 8bfc20d7-f7c6-4422-bf07-8243ca4169fe
          description: Unique identifier for the payment method.
        type:
          type: string
          example: ACH
          description: The payment method type.
        name:
          type: string
          example: ALLY BANK ******1234
          description: Name for the payment method.
        currency:
          type: string
          example: USD
          description: Currency symbol for the payment method.
        verified:
          type: boolean
          example: true
          description: The verified status of the payment method.
        allow_buy:
          type: boolean
          example: true
          description: Whether or not this payment method can perform buys.
        allow_sell:
          type: boolean
          example: true
          description: Whether or not this payment method can perform sells.
        allow_deposit:
          type: boolean
          example: true
          description: Whether or not this payment method can perform deposits.
        allow_withdraw:
          type: boolean
          example: true
          description: Whether or not this payment method can perform withdrawals.
        created_at:
          type: string
          format: RFC3339 Timestamp
          example: '2021-05-31T09:59:59Z'
          description: Time at which this payment method was created.
        updated_at:
          type: string
          format: RFC3339 Timestamp
          example: '2021-05-31T09:59:59Z'
          description: Time at which this payment method was updated.
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````